oracle.xdb.event

## Class XDBHandler

- java.lang.Object
- - oracle.xdb.event.XDBHandler

    public class XDBHandler
    extends java.lang.Object

This class stores information about handlers defined in resource configuration.

Since:
  11.1.0.0.0

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getLanguage()` Returns the implementation language of the handler (JAVA or PL/SQL)
`java.lang.String` `getSchema()` Returns the schema containing the handler's source.
`java.lang.String` `getSource()` Returns the name of the Java class, PL/SQL package or object type that implements the handler.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSource

    public java.lang.String getSource()

Returns the name of the Java class, PL/SQL package or object type that implements the handler.

Returns:
  The name of the source

#### getSchema

    public java.lang.String getSchema()

Returns the schema containing the handler's source.

Returns:
  The name of the schema

#### getLanguage

    public java.lang.String getLanguage()

Returns the implementation language of the handler (JAVA or PL/SQL)

Returns:
  The name of the implementation language.

Copyright © 2003, 2020, Oracle and/or its affiliates.